Blob Blame History Raw
# Share doc between python- and python3-
%global _docdir_fmt %{name}
%global sum Google APIs Client Library for Python
%global srcname google-api-client

%if 0%{?fedora}
%global with_python3 1
%endif

Name:           google-api-python-client
Summary:        %{sum}
Version:        1.4.2
Release:        3%{?dist}

License:        ASL 2.0
URL:            http://github.com/google/%{name}/
Source0:        https://pypi.python.org/packages/source/g/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description 
Written by Google, this library provides a small, flexible, and powerful 
Python client library for accessing Google APIs.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires:  python2-devel >= 2.7
BuildRequires:  python2-setuptools
BuildRequires:  python-httplib2 >= 0.8
BuildRequires:  python-oauth2client >= 1.4.6
BuildRequires:  python-uri-templates >= 0.6
BuildRequires:  python-six >= 1.6.1

Requires:       python-httplib2 >= 0.8
Requires:       python2-oauth2client >= 1.4.6
Requires:       python2-uri-templates >= 0.6
Requires:       python2-six >= 1.6.1

%description -n python2-%{srcname}
Written by Google, this library provides a small, flexible, and powerful 
Python client library for accessing Google APIs.


%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel >= 3.3
BuildRequires:  python3-setuptools
BuildRequires:  python3-httplib2 >= 0.8
BuildRequires:  python3-oauth2client >= 1.4.6
BuildRequires:  python3-uri-templates >= 0.6
BuildRequires:  python3-six >= 1.6.1

Requires:       python3-httplib2 >= 0.8
Requires:       python3-oauth2client >= 1.4.6
Requires:       python3-uri-templates >= 0.6
Requires:       python3-six >= 1.6.1

%description -n python3-%{srcname}
Written by Google, this library provides a small, flexible, and powerful 
Python 3 client library for accessing Google APIs.
%endif

%prep
%setup -q

# remove egg info
rm -rf google_api_python_client.egg-info

# remove shebang without touching timestamp
for lib in googleapiclient/*.py; do
 sed '1{\@^#!/usr/bin/python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

%build
%{py2_build}
%if 0%{?with_python3}
%{py3_build}
%endif

%install
%{py2_install}
%if 0%{?with_python3}
%{py3_install}
%endif

%files -n python2-%{srcname}
%license LICENSE
%doc CHANGELOG
%{python2_sitelib}/apiclient
%{python2_sitelib}/googleapiclient
%{python2_sitelib}/google_api_python_client-%{version}-py?.?.egg-info

%files -n python3-%{srcname}
%license LICENSE 
%doc CHANGELOG
%{python3_sitelib}/apiclient
%{python3_sitelib}/googleapiclient
%{python3_sitelib}/google_api_python_client-%{version}-py?.?.egg-info

%changelog
* Sun Jan 31 2016 Michele Baldessari <michele@acksyn.org> - 1.4.2-4
- Make spec more epel friendly

* Mon Nov 02 2015 Michele Baldessari <michele@acksyn.org> - 1.4.2-3
- Cleanup spec according to newest python policy
- Drop python3 conditional, we'll build this for Fedora only for now anyways

* Wed Oct 21 2015 Michele Baldessari <michele@acksyn.org> - 1.4.2-2
- Address some comments from BZ 1272187

* Thu Oct 15 2015 Michele Baldessari <michele@acksyn.org> - 1.4.2-1
- Update to 1.4.2

* Tue Jun 23 2015 Michele Baldessari <michele@acksyn.org> - 1.4.1-1
- Update to 1.4.1

* Sun Jun 07 2015 Michele Baldessari <michele@acksyn.org> - 1.4.0-1
- Update to latest version
- Add python3 package
- Tag LICENSE with appropriate macro
- Generate {python,python3}-google-api-client packages to be more consistent
  within Fedora
- Add python-oauthclient dependency

* Sat Feb 14 2015 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.3.1-1
- Update to latest version

* Sat Jul 27 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.1-1
- Initial rpm package